Page MenuHomePhabricator

Adyen capture failure
Closed, ResolvedPublic

Description

2018-01-03T00:44:01+00:00 [ALERT] (8) Trying to get property of non-object @ SmashPig/PaymentProviders/Adyen/AdyenPaymentsAPI.php:51

The line in question:

if ( $resp->captureResult->response == '[capture-received]' ) {

Event Timeline

Ejegg created this task.Jan 4 2018, 5:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 5:11 PM
mepps added a subscriber: mepps.Jan 5 2018, 7:49 PM
This comment was removed by mepps.

Change 403222 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Fix classmap for Adyen WSDL

https://gerrit.wikimedia.org/r/403222

Change 403222 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Fix classmap for Adyen WSDL

https://gerrit.wikimedia.org/r/403222

mepps closed this task as Resolved.Jan 11 2018, 4:57 PM
mepps claimed this task.
mepps moved this task from Backlog to Done on the Fundraising Sprint Asymmetrical Earth Theory board.